Bug 176567 - metacity | memory leak
metacity | memory leak
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: gnome-desktop (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-26 12:03 EST by W Agtail
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-14 11:53:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description W Agtail 2005-12-26 12:03:52 EST
Description of problem:
metacity seams to cause severe memory leak.

Version-Release number of selected component (if applicable):
> rpm -q metacity
metacity-2.10.3-1

How reproducible:
Always.

Steps to Reproduce:
1. Just leave gnome desktop running over a few days.
2.
3.
  
Actual results:
while :; do date; ps -A -o pid,user,vsize,rss,pmem,args --sort -vsize | head -5;
sleep 900;done

  PID USER        VSZ   RSS %MEM COMMAND
 3541 tux      288084 186776 18.2 metacity

Expected results:
not to chew up so memory

Additional info:
system running with 1GB RAM

> pmap -x 3541
3541:   metacity --sm-save-file 1135367782-3468-146085753.ms
Address           Kbytes     RSS    Anon  Locked Mode   Mapping
0000000000400000     492       -       -       - r-x--  metacity
000000000057a000      48       -       -       - rw---  metacity
0000000000586000  186924       -       -       - rw---    [ anon ]
0000003189400000    2744       -       -       - r-x--  libgtk-x11-2.0.so.0.600.10
00000031896ae000    1024       -       -       - -----  libgtk-x11-2.0.so.0.600.10
00000031897ae000     192       -       -       - rw---  libgtk-x11-2.0.so.0.600.10
00000031897de000      16       -       -       - rw---    [ anon ]
0000003189800000     512       -       -       - r-x--  libgdk-x11-2.0.so.0.600.10
0000003189880000    1020       -       -       - -----  libgdk-x11-2.0.so.0.600.10
000000318997f000      40       -       -       - rw---  libgdk-x11-2.0.so.0.600.10
0000003189f00000      80       -       -       - r-x-- 
libgdk_pixbuf-2.0.so.0.600.10
0000003189f14000    1024       -       -       - ----- 
libgdk_pixbuf-2.0.so.0.600.10
000000318a014000       8       -       -       - rw--- 
libgdk_pixbuf-2.0.so.0.600.10
0000003f38600000      80       -       -       - r-x--  libXft.so.2.1.2
0000003f38614000    1020       -       -       - -----  libXft.so.2.1.2
0000003f38713000       4       -       -       - rw---  libXft.so.2.1.2
0000003f38800000      32       -       -       - r-x--  libXrender.so.1.2.2
0000003f38808000    1024       -       -       - -----  libXrender.so.1.2.2
0000003f38908000       4       -       -       - rw---  libXrender.so.1.2.2
0000003f38a00000      12       -       -       - r-x--  libXrandr.so.2.0
0000003f38a03000    1020       -       -       - -----  libXrandr.so.2.0
0000003f38b02000       4       -       -       - rw---  libXrandr.so.2.0
0000003f38c00000      36       -       -       - r-x--  libXcursor.so.1.0.2
0000003f38c09000    1024       -       -       - -----  libXcursor.so.1.0.2
0000003f38d09000       4       -       -       - rw---  libXcursor.so.1.0.2
0000003f38e00000     160       -       -       - r-x--  libpangoft2-1.0.so.0.800.1
0000003f38e28000    1024       -       -       - -----  libpangoft2-1.0.so.0.800.1
0000003f38f28000       8       -       -       - rw---  libpangoft2-1.0.so.0.800.1
0000003f39100000     872       -       -       - r-x--  libX11.so.6.2
0000003f391da000    1020       -       -       - -----  libX11.so.6.2
0000003f392d9000      24       -       -       - rw---  libX11.so.6.2
0000003f39300000      64       -       -       - r-x--  libXext.so.6.4
0000003f39310000    1024       -       -       - -----  libXext.so.6.4
0000003f39410000       4       -       -       - rw---  libXext.so.6.4
0000003f39500000     528       -       -       - r-x--  libglib-2.0.so.0.600.6
0000003f39584000    1020       -       -       - -----  libglib-2.0.so.0.600.6
0000003f39683000      24       -       -       - rw---  libglib-2.0.so.0.600.6
0000003f39689000       4       -       -       - rw---    [ anon ]
0000003f39700000      92       -       -       - r-x--  libICE.so.6.3
0000003f39717000    1020       -       -       - -----  libICE.so.6.3
0000003f39816000       8       -       -       - rw---  libICE.so.6.3
0000003f39818000      12       -       -       - rw---    [ anon ]
0000003f39900000      40       -       -       - r-x--  libSM.so.6.0
0000003f3990a000    1020       -       -       - -----  libSM.so.6.0
0000003f39a09000       4       -       -       - rw---  libSM.so.6.0
0000003f39b00000     220       -       -       - r-x--  libgobject-2.0.so.0.600.6
0000003f39b37000    1024       -       -       - -----  libgobject-2.0.so.0.600.6
0000003f39c37000      20       -       -       - rw---  libgobject-2.0.so.0.600.6
0000003f39d00000      12       -       -       - r-x--  libgmodule-2.0.so.0.600.6
0000003f3a300000      32       -       -       - r-x--  libXi.so.6.0
0000003f3a308000    1020       -       -       - -----  libXi.so.6.0
0000003f3a407000       4       -       -       - rw---  libXi.so.6.0
0000003f3a500000     236       -       -       - r-x--  libpango-1.0.so.0.800.1
0000003f3a53b000    1024       -       -       - -----  libpango-1.0.so.0.800.1
0000003f3a63b000      36       -       -       - rw---  libpango-1.0.so.0.800.1
0000003f3ab00000     104       -       -       - r-x--  libatk-1.0.so.0.901.0
0000003f3ab1a000    1020       -       -       - -----  libatk-1.0.so.0.901.0
0000003f3ac19000      20       -       -       - rw---  libatk-1.0.so.0.901.0
0000003f3ad00000      28       -       -       - r-x--  libpangoxft-1.0.so.0.800.1
0000003f3ad07000    1020       -       -       - -----  libpangoxft-1.0.so.0.800.1
0000003f3ae06000       4       -       -       - rw---  libpangoxft-1.0.so.0.800.1
0000003f3b100000      44       -       -       - r-x--  libpangox-1.0.so.0.800.1
0000003f3b10b000    1024       -       -       - -----  libpangox-1.0.so.0.800.1
0000003f3b20b000       4       -       -       - rw---  libpangox-1.0.so.0.800.1
0000003f3b300000      20       -       -       - r-x--  libXfixes.so.3.0
0000003f3b305000    1020       -       -       - -----  libXfixes.so.3.0
0000003f3b404000       4       -       -       - rw---  libXfixes.so.3.0
0000003f3c300000      16       -       -       - r-x--  libgthread-2.0.so.0.600.6
0000003f3c304000    1020       -       -       - -----  libgthread-2.0.so.0.600.6
0000003f3c403000       4       -       -       - rw---  libgthread-2.0.so.0.600.6
0000003f3cb00000     344       -       -       - r-x--  libORBit-2.so.0.0.0
0000003f3cb56000    1024       -       -       - -----  libORBit-2.so.0.0.0
0000003f3cc56000      76       -       -       - rw---  libORBit-2.so.0.0.0
0000003f3d100000     208       -       -       - r-x--  libgconf-2.so.4.1.0
0000003f3d134000    1020       -       -       - -----  libgconf-2.so.4.1.0
0000003f3d233000      28       -       -       - rw---  libgconf-2.so.4.1.0
0000003f3d900000      36       -       -       - r-x-- 
libstartup-notification-1.so.0.0.0
0000003f3d909000    1020       -       -       - ----- 
libstartup-notification-1.so.0.0.0
0000003f3da08000       4       -       -       - rw--- 
libstartup-notification-1.so.0.0.0
0000003f71200000     104       -       -       - r-x--  ld-2.3.5.so
0000003f71319000       4       -       -       - r----  ld-2.3.5.so
0000003f7131a000       4       -       -       - rw---  ld-2.3.5.so
0000003f71400000    1204       -       -       - r-x--  libc-2.3.5.so
0000003f7152d000    1020       -       -       - -----  libc-2.3.5.so
0000003f7162c000      16       -       -       - r----  libc-2.3.5.so
0000003f71630000       8       -       -       - rw---  libc-2.3.5.so
0000003f71632000      16       -       -       - rw---    [ anon ]
0000003f71700000     528       -       -       - r-x--  libm-2.3.5.so
0000003f71784000    1024       -       -       - -----  libm-2.3.5.so
0000003f71884000       4       -       -       - r----  libm-2.3.5.so
0000003f71885000       4       -       -       - rw---  libm-2.3.5.so
0000003f71900000       8       -       -       - r-x--  libdl-2.3.5.so
0000003f71902000    1024       -       -       - -----  libdl-2.3.5.so
0000003f71a02000       4       -       -       - r----  libdl-2.3.5.so
0000003f71a03000       4       -       -       - rw---  libdl-2.3.5.so
0000003f71d00000      80       -       -       - r-x--  libz.so.1.2.2.2
0000003f71d14000    1020       -       -       - -----  libz.so.1.2.2.2
0000003f71e13000       4       -       -       - rw---  libz.so.1.2.2.2
0000003f72100000      60       -       -       - r-x--  libpthread-2.3.5.so
0000003f7210f000    1024       -       -       - -----  libpthread-2.3.5.so
0000003f7220f000       4       -       -       - r----  libpthread-2.3.5.so
0000003f72210000       4       -       -       - rw---  libpthread-2.3.5.so
0000003f72211000      16       -       -       - rw---    [ anon ]
0000003f72b00000     132       -       -       - r-x--  libexpat.so.0.5.0
0000003f72b21000    1020       -       -       - -----  libexpat.so.0.5.0
0000003f72c20000      12       -       -       - rw---  libexpat.so.0.5.0
0000003f72d00000     508       -       -       - r-x--  libfreetype.so.6.3.7
0000003f72d7f000    1024       -       -       - -----  libfreetype.so.6.3.7
0000003f72e7f000      52       -       -       - rw---  libfreetype.so.6.3.7
0000003f73100000     176       -       -       - r-x--  libfontconfig.so.1.0.4
0000003f7312c000    1024       -       -       - -----  libfontconfig.so.1.0.4
0000003f7322c000      20       -       -       - rw---  libfontconfig.so.1.0.4
0000003f73231000       8       -       -       - rw---    [ anon ]
0000003f73f00000      28       -       -       - r-x--  libpopt.so.0.0.0
0000003f73f07000    1024       -       -       - -----  libpopt.so.0.0.0
0000003f74007000       4       -       -       - rw---  libpopt.so.0.0.0
00002aaaaaaab000       4       -       -       - rw---    [ anon ]
00002aaaaaac3000      56       -       -       - rw---    [ anon ]
00002aaaaaad1000   48460       -       -       - r----  locale-archive
00002aaaada3b000      40       -       -       - r-x--  libnss_files-2.3.5.so
00002aaaada45000    1024       -       -       - -----  libnss_files-2.3.5.so
00002aaaadb45000       4       -       -       - r----  libnss_files-2.3.5.so
00002aaaadb46000       4       -       -       - rw---  libnss_files-2.3.5.so
00002aaaadb47000      24       -       -       - r--s-  gconv-modules.cache
00002aaaadb4d000       4       -       -       - r-x--  xlcUTF8Load.so.2
00002aaaadb4e000    1020       -       -       - -----  xlcUTF8Load.so.2
00002aaaadc4d000       4       -       -       - rw---  xlcUTF8Load.so.2
00002aaaadc4e000       8       -       -       - r-x--  ISO8859-1.so
00002aaaadc50000    1020       -       -       - -----  ISO8859-1.so
00002aaaadd4f000       8       -       -       - rw---  ISO8859-1.so
00002aaaadd51000      64       -       -       - r-x--  libclearlooks.so
00002aaaadd61000    1020       -       -       - -----  libclearlooks.so
00002aaaade60000       8       -       -       - rw---  libclearlooks.so
00002aaaade62000      72       -       -       - r----  l048016t.pfa
00002aaaade74000       8       -       -       - r-x--  pango-basic-fc.so
00002aaaade76000    1020       -       -       - -----  pango-basic-fc.so
00002aaaadf75000       4       -       -       - rw---  pango-basic-fc.so
00002aaaadf76000     384       -       -       - rw-s-    [ shmid=0x9000f ]
00002aaaadfd6000     384       -       -       - rw-s-    [ shmid=0x98010 ]
00002aaaae036000      72       -       -       - r----  l048013t.pfa
00007fffffb7c000      84       -       -       - rw---    [ stack ]
ffffffffff600000    8192       -       -       - -----    [ anon ]
----------------  ------  ------  ------  ------
total kB          296368       -       -       -
Comment 1 Christian Iseli 2007-01-22 05:26:05 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Ray Strode [halfline] 2007-08-14 11:53:03 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there haven't been any
updates to the report in quite a long time now after we've
requested additional information, we're assuming the problem
is either no longer present in our current OS release, or
that there is no longer any interest in tracking the problem.

Setting status to CANTFIX, however if you still
experience this problem after updating to our latest Fedora
Core release and are still interested in Red Hat tracking
the issue, and assisting in troubleshooting the problem,
please feel free to provide the information requested above,
and reopen the report.

Thank you in advance.

(this message is mass message)

Note You need to log in before you can comment on or make changes to this bug.